vich_uploader:
    db_driver: orm
    mappings:
        logo_site:
            uri_prefix:         /uploads/site
            upload_destination: '%kernel.root_dir%/../public/uploads/site'
            inject_on_load:     true
            delete_on_update:   true
            delete_on_remove:   true
            directory_namer: namer.logo.md5
            namer: namer.md5
        favicon_site:
            uri_prefix:         /uploads/site
            upload_destination: '%kernel.root_dir%/../public/uploads/site'
            inject_on_load:     true
            delete_on_update:   true
            delete_on_remove:   true
            directory_namer: namer.favicon.md5
            namer: namer.md5
        main_picture_site:
            uri_prefix:         /uploads/site
            upload_destination: '%kernel.root_dir%/../public/uploads/site'
            inject_on_load:     true
            delete_on_update:   true
            delete_on_remove:   true
            directory_namer: namer.mainPicture.md5
            namer: namer.md5
        post_picture_site:
            uri_prefix:         /uploads/site
            upload_destination: '%kernel.root_dir%/../public/uploads/site'
            inject_on_load:     true
            delete_on_update:   true
            delete_on_remove:   true
            directory_namer: namer.blogPostPicture.md5
            namer: namer.md5
